//
//  HDCanJumpModel.h
//  PortableTreasure
//
//  Created by HeDong on 14/12/14.
//  Copyright © 2014年 hedong. All rights reserved.
//

#import "HDBaseModel.h"

@interface HDCanJumpModel : HDBaseModel

/**
 *  需要跳转的控制器
 */
@property (nonatomic, assign) Class controllerClass;

/**
 *  快速创建HDCanJumpModel对象
 *
 *  @param iconName     头像图片名字
 *  @param labelText    标签文本
 *  @param detailedText 详细文本
 *  @param controllerClass 需要跳转的控制器
 */
+ (__kindof HDCanJumpModel *)canJumpModelWithIconName:(NSString *)iconName labelText:(NSString *)labelText detailedText:(NSString *)detailedText controllerClass:(Class)controllerClass;

@end
