//
//  HDGroupModel.m
//  PortableTreasure
//
//  Created by HeDong on 14/12/14.
//  Copyright © 2014年 hedong. All rights reserved.
//

#import "HDGroupModel.h"

@implementation HDGroupModel

+ (__kindof HDGroupModel *)groupModelWithHeaderText:(NSString *)headerText baseModels:(NSArray<__kindof HDBaseModel *> *)baseModels footerText:(NSString *)footerText
{
    HDGroupModel *groupModel = [[self alloc] init];
    
    groupModel.headerText = headerText;
    groupModel.baseModels = baseModels;
    groupModel.footerText = footerText;
    
    return groupModel;
}

@end
